#ifndef test_H_
#define test_H_

#include <QWidget>

class Test : public QWidget
{
   Q_OBJECT;

   public:
      Test();
      ~Test();

      void setBrushEnabled(bool);


   protected slots:
      void onBrushChanged();
      void onGridChanged();
      void onColorPressed();

   private:
      void setupUi();
      void setupMap();
      void setupSlots();

   private:
      class PrivateData;
      QScopedPointer<PrivateData> p_impl;

};

#endif // test_H_
